Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/include/Parameters.h	(revision 82)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/include/Parameters.h	(revision 88)
@@ -26,36 +26,36 @@
   {
     //-----[ fields ]------------------------------------------------------------
-  public : const uint32_t    _size_read_queue         ;
-  public : const uint32_t    _size_reservation_station;
-  public : const uint32_t    _nb_context              ;
-  public : const uint32_t    _nb_front_end            ;
-  public : const uint32_t    _nb_ooo_engine           ;
-  public : const uint32_t    _nb_packet               ;
-  public : const uint32_t    _size_general_data       ;
-  public : const uint32_t    _size_special_data       ;
-  public : const uint32_t    _nb_general_register     ;
-  public : const uint32_t    _nb_special_register     ;
-  public : const uint32_t    _nb_gpr_write            ;
-  public : const uint32_t    _nb_spr_write            ;
-  public : const uint32_t    _size_store_queue        ;
-  public : const uint32_t    _size_load_queue         ;
-  public : const uint32_t    _nb_inst_retire          ;
-  public : const uint32_t    _nb_bypass_write         ;
-  public : const uint32_t    _nb_bypass_memory        ;
-						      
-  public : const uint32_t    _nb_gpr_read             ;
-  public : const uint32_t    _nb_spr_read             ;    
-  public : const uint32_t    _size_context_id         ;
-  public : const uint32_t    _size_front_end_id       ;
-  public : const uint32_t    _size_ooo_engine_id      ;
-  public : const uint32_t    _size_packet_id          ;
-  public : const uint32_t    _size_general_register   ;
-  public : const uint32_t    _size_special_register   ;
+  public : uint32_t    _size_read_queue         ;
+  public : uint32_t    _size_reservation_station;
+  public : uint32_t    _nb_context              ;
+  public : uint32_t    _nb_front_end            ;
+  public : uint32_t    _nb_ooo_engine           ;
+  public : uint32_t    _nb_packet               ;
+//public : uint32_t    _size_general_data       ;
+//public : uint32_t    _size_special_data       ;
+  public : uint32_t    _nb_general_register     ;
+  public : uint32_t    _nb_special_register     ;
+  public : uint32_t    _nb_gpr_write            ;
+  public : uint32_t    _nb_spr_write            ;
+//public : uint32_t    _size_store_queue        ;
+//public : uint32_t    _size_load_queue         ;
+  public : uint32_t    _nb_inst_retire          ;
+  public : uint32_t    _nb_bypass_write         ;
+  public : uint32_t    _nb_bypass_memory        ;
+	          			      
+  public : uint32_t    _nb_gpr_read             ;
+  public : uint32_t    _nb_spr_read             ;    
+//public : uint32_t    _size_context_id         ;
+//public : uint32_t    _size_front_end_id       ;
+//public : uint32_t    _size_ooo_engine_id      ;
+//public : uint32_t    _size_packet_id          ;
+//public : uint32_t    _size_general_register   ;
+//public : uint32_t    _size_special_register   ;
 
-  public : const bool        _have_port_context_id    ;
-  public : const bool        _have_port_front_end_id  ;
-  public : const bool        _have_port_ooo_engine_id ;
-  public : const bool        _have_port_packet_id     ;
-  public : const bool        _have_port_load_queue_ptr;
+//public : bool        _have_port_context_id    ;
+//public : bool        _have_port_front_end_id  ;
+//public : bool        _have_port_ooo_engine_id ;
+//public : bool        _have_port_packet_id     ;
+//public : bool        _have_port_load_queue_ptr;
 
   public : morpheo::behavioural::core::multi_execute_loop::execute_loop::multi_read_unit::read_unit::read_queue         ::Parameters * _param_read_queue;
@@ -79,7 +79,10 @@
 			uint32_t nb_inst_retire          ,
 			uint32_t nb_bypass_write         ,
-			uint32_t nb_bypass_memory        );
-  public : Parameters  (Parameters & param) ;
+			uint32_t nb_bypass_memory        ,
+                        bool     is_toplevel=false);
+//public : Parameters  (Parameters & param) ;
   public : ~Parameters () ;
+
+  public :        void            copy       (void);
 
   public :        Parameters_test msg_error  (void);
